Bug 508323 - Can't Provision System if it has a space in it's name.
Can't Provision System if it has a space in it's name.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Steve Salevan
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-06-26 11:23 EDT by Justin Sherrill
Modified: 2009-09-10 15:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:26:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-06-26 11:23:28 EDT
1.  Register a system to satellite
2.  Edit it's name to have a space in it
3.  try to provision it

results: ise

Error i get:

redstone.xmlrpc.XmlRpcFault: cobbler.cexceptions.CX:'invalid characters in name:  '
Comment 1 Justin Sherrill 2009-06-26 11:32:58 EDT
Problem also occurs with guest names that include a space.
Comment 2 Justin Sherrill 2009-06-26 12:10:41 EDT
a4fb92c

had it replace spaces with '_'
Comment 3 Steve Salevan 2009-07-06 17:37:07 EDT
VERIFIED on 7/2 build.
Comment 4 wes hayutin 2009-07-29 09:37:45 EDT
added two spaces to a profile name of a system and kickstarted..
worked.. came back w/ the correct profile name
Comment 5 Brandon Perkins 2009-09-10 15:26:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.